Skip to main content
cURL
curl --request GET \
  --url https://test.deribit.com/api/v2/public/get_last_settlements_by_currency \
  --header 'Content-Type: application/json' \
  --data '
{
  "jsonrpc": "2.0",
  "id": 4497,
  "method": "public/get_last_settlements_by_currency",
  "params": {
    "currency": "BTC",
    "type": "delivery",
    "count": 2
  }
}
'
import requests

url = "https://test.deribit.com/api/v2/public/get_last_settlements_by_currency"

payload = {
"jsonrpc": "2.0",
"id": 4497,
"method": "public/get_last_settlements_by_currency",
"params": {
"currency": "BTC",
"type": "delivery",
"count": 2
}
}
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 4497,
method: 'public/get_last_settlements_by_currency',
params: {currency: 'BTC', type: 'delivery', count: 2}
})
};

fetch('https://test.deribit.com/api/v2/public/get_last_settlements_by_currency', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "jsonrpc": "2.0",
  "id": 5482,
  "result": {
    "settlements": [
      {
        "type": "settlement",
        "timestamp": 1550502000023,
        "session_profit_loss": 0.116509752,
        "profit_loss": -9.999999999886402e-10,
        "position": 240,
        "mark_price": 3578.16,
        "instrument_name": "BTC-22FEB19",
        "index_price": 3796.43
      }
    ],
    "continuation": "2Z7mdtavzYvfuyYcHkJXvPTr9ZSMsEzM3sLCH7AbYEDd1AzTXY2hnhegQDiaP1TtU4b5iSJZ4"
  }
}

Query Parameters

currency
enum<string>
required

The currency symbol Currency, i.e "BTC", "ETH", "USDC"

Available options:
BTC,
ETH,
USDC,
USDT,
EURR
type
enum<string>

Settlement type The type of settlement. settlement, delivery or bankruptcy.

Available options:
settlement,
delivery,
bankruptcy
count
integer

Number of requested items, default - 20, maximum - 1000

Required range: 1 <= x <= 1000
continuation
string

Continuation token for pagination

Example:

"xY7T6cutS3t2B9YtaDkE6TS379oKnkzTvmEDUnEUP2Msa9xKWNNaT"

search_start_timestamp
integer

The latest timestamp to return result from (milliseconds since the UNIX epoch) The timestamp (milliseconds since the Unix epoch)

Example:

1536569522277

Response

200 - application/json

Success response

jsonrpc
enum<string>
required

The JSON-RPC version (2.0)

Available options:
2.0
result
object
required
id
integer

The id that was sent in the request